/*  ----------------------------------------------------------------------------
    top-menu grid
*/

// general color for text, links and icons
.td-header-top-menu {
  color: #fff;
  font-size: 11px;

  // font awesome in menu
  .fa {
    text-align: center;
    min-width: 13px !important;
    margin-right: 3px;
  }

  a {
    color: #fff;
  }

  @media (min-width: @responsive_l_tablet_min) and (max-width: @responsive_l_tablet_max) {
    overflow: visible;
  }
}

/* left menu side */
.td-header-sp-top-menu {
  line-height: 28px;
  padding: 0 !important;
  z-index: 1000;
  float: left;

  /* responsive portrait phone */
  @media (max-width: @responsive_p_phone_max) {
    display: none !important;
  }

  .td_ul_logout {
    margin-right: 16px;
  }
}

/* right widget side */
.td-header-sp-top-widget {
  position: relative;
  line-height: 28px;
  text-align: right;
  padding-left: 0 !important;
  padding-right: 0 !important;

  .td-social-icon-wrap .td-icon-font {
    vertical-align: middle;
  }

  /* responsive portrait phone */
  @media (max-width: @responsive_p_phone_max) {
    width: 100%;
    text-align: center;
  }

  .td-search-btns-wrap {
    float: left;

    &:hover .td-icon-search {
      .opacity(0.8);
    }
  }

  .td-icon-search {
    width: 30px;
    height: 24px;
    font-size: 13px;
    line-height: 24px;
    vertical-align: middle;

    &:hover {
      color: @td_theme_color;
    }

    &:before {
      font-weight: 700;
    }
  }

  .td-drop-down-search {
    top: calc(~'100% + 1px');
    text-align: left;

    &:before,
    &:after {
      display: none;
    }

    .entry-title a {
      color: #000;
    }

    .td_module_wrap:hover .entry-title a {
      color: @td_theme_color;
    }
  }
}

/*  ----------------------------------------------------------------------------
    top-menu data time
*/
.td_data_time {
  display: inline-block;
  margin-right: 32px;
}

/*  ----------------------------------------------------------------------------
    top-menu - login & menu
*/
.menu-top-container {
  display: inline-block;
  margin-right: 16px;
}

.top-header-menu {
  list-style: none;
  margin: 0;
  display: inline-block;

  li {
    display: inline-block;
    position: relative;
    margin-left: 0;

    li {
      width: 100%;
    }

    a {
      margin-right: 16px;
      line-height: 1;
      font-family: @font1;

      &:hover {
        color: @td_theme_color3;
      }
    }
  }

  > li {
    line-height: 28px;
    
    &.register {
      .transition(all 0.2s ease 0s);
      background: @td_theme_color3;
      padding-left: 10px;
      padding-right: 10px;
      font-size: 12px;
      
      &:hover {
        background: darken(@td_theme_color3, 5%);
        
        a {
          color: #fff;
        }
      }
    }
  }

  // hover submenu & megamenu
  > .td-normal-menu:hover {
    > .sub-menu {
      display: block !important;
    }
  }

  .avatar {
    display: inline-block;
    vertical-align: middle;
    margin-right: 6px;
    position: relative;
    top: -1px;
  }

  .td-icon-menu-down {
    padding-left: 6px;
    font-size: 8px;
    position: relative;
    top: -1px;
  }

  .td-icon-logout {
    font-size: 10px;
    position: relative;
    top: 1px;
    margin-right: 2px;
  }

  .sub-menu {
    display: none;
    position: absolute;
    top: 100%;
    left: -10px;
    line-height: 28px;
    background-color: @td_black;
    z-index: 1000;

    a {
      display: block;
      margin: 0 10px;
      white-space: nowrap;
      line-height: 28px;
    }
  }

  .td_user_logd_in {
    font-weight: bold;

    &:hover {
      text-decoration: none !important;
    }
  }

  // current top menu
  .current-menu-item > a,
  .current-menu-ancestor > a,
  .current-category-ancestor > a {
    color: @td_theme_color;
  }

  ul .td-icon-menu-down,
  .td-mega-menu .td-icon-menu-down {
    display: none;
  }

  .td-mega-menu ul,
  ul ul {
    display: none !important;
  }
}

.td_sp_login_ico_style {
  position: absolute;
  top: 3px;
  right: -9px;
}

.td_sp_logout_ico_style {
  position: relative;
  top: 3px;
  left: 17px;
}

/*  ----------------------------------------------------------------------------
    top-menu social widget
*/
.td-social-icon-wrap {
  & > a {
    display: inline-block;
  }

  .td-icon-font {
    font-size: 12px;
    width: 30px;
    height: 24px;
    line-height: 24px;
  }

  .td-icon-instagram {
    font-size: 15px;
  }

  /* responsive portrait phone */
  @media (max-width: @responsive_p_phone_max) {
    margin: 0 3px;
  }
}

/*  ----------------------------------------------------------------------------
    Top Bar Style 1
*/
.top-bar-style-1 {
  .td-header-sp-top-widget {
    float: right;
  }
}

/*  ----------------------------------------------------------------------------
    Top Bar Style 2
*/
.top-bar-style-2 {
  .td_ul_login,
  .td_ul_logout {
    margin-right: 32px;
  }

  .td-header-sp-top-menu {
    float: right;

    ul:last-child,
    div:last-child {
      margin-right: 0;
    }
  }

  .menu-top-container,
  .top-header-menu li:last-child a {
    margin-right: 0;
  }

  .td-search-box-wrap {
    left: 0;
    right: auto;
  }
}

/*  ----------------------------------------------------------------------------
    Top Bar Style 3
*/

/*  ----------------------------------------------------------------------------
    Top Bar Style 4
*/
.top-bar-style-4 {
  .td-header-sp-top-widget,
  .td-header-sp-top-menu {
    float: right;
  }
}
